Delete a server response

View as Markdown
Deletes a mock server's server response.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

mockIdstringRequired
The mock's ID.
serverResponseIdstringRequired
The server response's ID.

Response

Successful Response
idstring
The server response's ID.
namestring
The server response's name.
statusCodedouble
The server response's 5xx HTTP response code.
headerslist of objects

The server response’s request headers, such as Content-Type, Accept, encoding, and other information.

languageenum or null
The server response's body language type.
bodystring
The server response's body that returns when calling the mock server.
createdBystring
The user ID of the user who created the server response.
updatedBystring
The user ID of the user who last updated the server response.
createdAtdatetime
The date and time at which the server response was created.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error